from django.apps import AppConfig
from django.utils.translation import gettext_lazy

from . import __version__


class PluginApp(AppConfig):
    name = "pretalx_musicrate"
    verbose_name = "pretalx-musicrate"

    class PretalxPluginMeta:
        name = gettext_lazy("pretalx-musicrate")
        author = "Luca"
        description = gettext_lazy("pretalx plugin for rating music")
        visible = True
        version = __version__
        category = "FEATURE"

    def ready(self):
        from . import signals  # NOQA
