from django.urls import include, path

from .views import (
    JoinView,
    MayAdvanceView,
    MusicrateSettingsView,
    PresenterView,
    QRCodeView,
    RatingView,
)

urlpatterns = [
    path(
        "orga/event/<slug:event>/settings/p/pretalx_musicrate/",
        MusicrateSettingsView.as_view(),
        name="settings",
    ),
    path(
        "<slug:event>/p/pretalx_musicrate/",
        include(
            [
                path("", QRCodeView.as_view(), name="qrcode"),
                path("present/<code>/", PresenterView.as_view(), name="present"),
                path(
                    "present/<code>/may-advance",
                    MayAdvanceView.as_view(),
                    name="may_advance",
                ),
                path("<slug:token>/", JoinView.as_view(), name="join"),
                path("<slug:token>/<code>/", RatingView.as_view(), name="rating"),
            ]
        ),
    ),
]
